# QVM: Quaternions, Vectors, Matrices

### swap_rows

#include <boost/qvm/map_mat_mat.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <int R1,int R2>
            -unspecified-return-type- swap_rows();
        }
    }

The expression swap_rows<R1,R2>(m) returns a view proxy that looks like the matrix m with rows R1 and R2 swapped.

See also: boost/qvm/map_mat_mat.hpp